org.springframework.data.relational.core.mapping.event

## Class BeforeDeleteEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>
      - - org.springframework.data.relational.core.mapping.event.RelationalDeleteEvent<E>
        - - org.springframework.data.relational.core.mapping.event.BeforeDeleteEvent<E>

All Implemented Interfaces:
  Serializable, RelationalEvent<E>, WithAggregateChange<E>, WithId<E>

    public class BeforeDeleteEvent<E>
    extends RelationalDeleteEvent<E>

Gets published when an entity is about to get deleted.

Author:
  Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`BeforeDeleteEvent(Identifier id, E entity, AggregateChange<E> change)`

### Method Summary

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalDeleteEvent

`getAggregateChange, getEntity, getId, getType`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BeforeDeleteEvent

    public BeforeDeleteEvent(Identifier id,
                             @Nullable
                             E entity,
                             AggregateChange<E> change)

Parameters:
  `id` - the id of the entity. Must not be null.
  `entity` - the entity about to get deleted. May be null.
  `change` - the `AggregateChange` containing the planned actions to be performed on the database.